include ../common.mk

OBJECTS:= $(patsubst %.cpp,%.o,$(wildcard *.cpp))
TARGET_LIB:= $(LIB_DIR)/lib$(TARGET).a
SM_SRC_DIR:= $(SRC_DIR)/sm

all: $(TARGET_LIB)
	$(MAKE) --directory=$(SM_SRC_DIR) $@

$(TARGET_LIB): $(OBJECTS)
	ar rcs $@ $(addprefix $(OBJ_DIR)/, $^)

%.o: %.cpp
	$(CXX) -c $< -o $(OBJ_DIR)/$@ $(CFLAGS)

clean:
	$(MAKE) --directory=$(SM_SRC_DIR) $@
	rm -rf $(addprefix $(OBJ_DIR)/, $(OBJECTS)) $(TARGET_LIB)

.PHONY: all clean




